Update Breach Incident
curl --request PATCH \
--url https://api.loyalty.dog/v2/admin/breaches/{breachId} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"affectedRecords": [
"<string>"
],
"dataCategories": [
"<string>"
],
"measuresTaken": "<string>"
}
'import requests
url = "https://api.loyalty.dog/v2/admin/breaches/{breachId}"
payload = {
"affectedRecords": ["<string>"],
"dataCategories": ["<string>"],
"measuresTaken": "<string>"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.patch(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PATCH',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
affectedRecords: ['<string>'],
dataCategories: ['<string>'],
measuresTaken: '<string>'
})
};
fetch('https://api.loyalty.dog/v2/admin/breaches/{breachId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>",
"input": "<unknown>",
"ctx": {}
}
]
}Admin
Update Breach Incident
Update a breach incident. Recomputes risk level when affected records or categories change.
PATCH
/
v2
/
admin
/
breaches
/
{breachId}
Update Breach Incident
Authorizations
JWT access token obtained from POST /v2/token.
Headers
Path Parameters
Required string length:
24Pattern:
^[0-9a-f]{24}$Example:
"5eb7cf5a86d9755df3a6c593"
Body
application/json
Response
Successful Response
⌘I
